Subject: Re: objc: Windows DLL's won't allow unresolved symbols
From: "Michael Scheibler" <[email-masked]>
To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Date: Fri, 15 Jun 2001 12:55:09 +0200

I found no way of having ld link an Objective-C executable with undefined
references to objc class symbols on Win32 (mingw, and I think cygwin, too).
For Objective-C it's absolutely necessary, because of the late binding
capabilities of this programming language. It's not possible to use
GNUstep's bundle architecture because you have to link statically, at least
with an import library which connects to the proper DLL.
ld needs an option to just warn the user if an undefined reference to an
ObjectiveC class symbol is found.

Michael

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple